#ifndef CPK_COMMON_H
#define CPK_COMMON_H 1

#ifdef __cplusplus
#  define BEGIN_C_DECLS extern "C" {
#  define END_C_DECLS   }
#else /* !__cplusplus */
#  define BEGIN_C_DECLS
#  define END_C_DECLS
#endif /* __cplusplus */

BEGIN_C_DECLS

#if HAVE_CONFIG_H
#  include <CataPack/config.h>
#endif

#include <stdio.h>

#if HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif /* SYS_TYPES_H */ 

#if HAVE_SYS_STAT_H
#include <sys/stat.h>
#endif /* SYS_STAT_H */

#if STDC_HEADERS
#  include <stdlib.h>
#  include <stddef.h>
#else
#  if HAVE_STDLIB_H
#    include <stdlib.h>
#  endif /* STDLIB_H */
#endif /* STDC_HEADERS */

#if HAVE_STRING_H
#  if !STDC_HEADERS && HAVE_MEMORY_H
#    include <memory.h>
#  endif
#  include <string.h>
#endif
#if HAVE_STRINGS_H
#  include <strings.h>
#endif /* STRING_H */

#if HAVE_INTTYPES_H
#include <inttypes.h>
#else
#  if HAVE_STDINT_H
#    include <stdint.h>
#  endif /* HAVE_STDINT_H */
#endif /* HAVE_INTTYPES_H */

#if HAVE_UNISTD_H
#  include <unistd.h>
#endif

#if HAVE_ERRNO_H
#  include <errno.h>
#endif /*HAVE_ERRNO_H*/
#ifndef errno
/* Some systems #define this! */
extern int errno;
#endif

#if !STDC_HEADERS
#  if !HAVE_STRCHR
#    define strchr index
#    define strrchr rindex
#  endif
char *strchr (), *strrchr () ;
#  if !HAVE_MEMCPY
#    define memcpy(d, s, n) bcopy ((s), (d), (n))
#    define memmove(d, s, n) bcopy ((s), (d), (n))
#  endif
#endif

#if !HAVE_STRCPY
#  if HAVE_BCOPY
#    define strcpy(dest, src)   bcopy (src, dest, 1 + strlen (src))
#  else /* !HAVE_BCOPY */
     error no strcpy or bcopy
#  endif /* HAVE_BCOPY */
#endif /* HAVE_STRCPY */

#if !HAVE_BZERO && HAVE_MEMSET
# define bzero(buf, bytes)      ((void) memset (buf, (int)0, bytes))
#endif

#if HAVE_TGMATH_H
/* #  include <tgmath.h> */
#endif

#ifndef EXIT_SUCCESS
#  define EXIT_SUCCESS  0
#  define EXIT_FAILURE  1
#endif

/* ***FIXME: Da controllare *** */

#include <limits.h>
#include <float.h>

/*----------------------------------------------------------------------------
 * 								Defines
 *--------------------------------------------------------------------------*/

#ifdef TRUE
#undef TRUE
#endif
#ifdef FALSE
#undef FALSE
#endif

/* defined in limits.h, redefined here for portability  */

#define LONG32_MIN  (long32)(-2147483647-1) 
#define LONG32_MAX  (long32)(2147483647)
#define ULONG32_MAX (ulong32)(4294967295)

#define SHRT16_MIN  (short16)(-32768)
#define SHRT16_MAX  (short16)(32767)
#define USHRT16_MAX (ushort16)(65535)

#ifdef debug
#define CPKDEBUG(a) if (verbose > 4) printf("----------> %s <----------\n", a)
#else
#define CPKDEBUG(a) 
#endif

#ifdef debug
#define CPKDEBUG5(a,b) if (verbose > b) printf("----------> %s <----------\n", a)
#else
#define CPKDEBUG5(a,b) 
#endif

#if HAVE_GTK

#define IF_ABORT_RETURN(a) \
   do { \
      gui_update () ; \
      if (suspend) return (a) ; \
   } while (0)

#define IF_ABORT_EXIT \
   do { \
      gui_update () ; \
      if (suspend) goto exit ; \
   } while (0)

#define IF_ABORT_GOTO(LABEL) \
   do { \
      gui_update () ; \
      if (suspend) goto #LABEL ; \
   } while (0)

#else
#define IF_ABORT_RETURN(a) 
#define IF_ABORT_EXIT 
#define IF_ABORT_GOTO(LABEL)     
#endif

/*----------------------------------------------------------------------------
 * 								New types
 *--------------------------------------------------------------------------*/

/* Boolean type */
typedef enum boolean_tag
{
    FALSE = 0,
    TRUE  = 1
} boolean ;

#include "catalogs.h"

/*----------------------------------------------------------------------------
 * 							Global variables	
 *--------------------------------------------------------------------------*/

extern int        verbose ;

/* Maximum expected record length for I/O operations */
#ifndef MAX_RECORD_LENGTH
#  define MAX_RECORD_LENGTH  2048L
#endif

END_C_DECLS

#endif /* !CPK_COMMON_H */
