/*----------------------------------------------------------------------------
 * 					      Bologna Astronomical Observatory
 *----------------------------------------------------------------------------
 * File name 	: cpk_wcstrig.c
 * Author 	: Paolo Montegriffo
 * Created on	: May, 2002	
 * Language	: ANSI C
 * Description	: Provided to substitute atan2d() function of wcstrig.c on 
 *                systems with cosd-family library functions
 *--------------------------------------------------------------------------*/

#if HAVE_CONFIG_H
#  include "config.h"
#endif

#include "common.h"

#include <math.h>

#if HAVE_COSD

double atan2d(const double y, const double x)
{
   return atand2(y, x) ;
}

#else

#include "wcsmath.h"
#include "wcstrig.h"

double atan2d(y, x)

const double x, y;

{
   if (y == 0.0) {
      if (x >= 0.0) {
         return 0.0;
      } else if (x < 0.0) {
         return 180.0;
      }
   } else if (x == 0.0) {
      if (y > 0.0) {
         return 90.0;
      } else if (y < 0.0) {
         return -90.0;
      }
   }

   return atan2(y,x)*R2D;
}

#endif   /* HAVE_COSD */
