/*----------------------------------------------------------------------------
 * CataPack
 *
 * Authors: Paolo Montegriffo <paolo.montegriffo@oabo.inaf.it>
 *
 * Copyright (C) 2001-2006 INAF - Osservatorio Astronomico di Bologna.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *--------------------------------------------------------------------------*/

#ifndef CCL_MAIN_H
#define CCL_MAIN_H 1

typedef struct info_tag ccl_info ;

struct info_tag {
   GtkWidget *labels[15] ;
} ;

typedef struct ccl_disp_tag {

   GtkWidget  *window ;

   gboolean    we_are_exiting ;

   /* Panels */
   GtkWidget  *flag_check[5] ;
   gboolean    settings[5] ;
   GtkWidget  *panels[5] ;

   /* Buttons */
   GtkWidget  *bt ;

   /* Info Panel */
   ccl_info   *info ;
   GtkWidget  *popup ;

   /* Frames */
   GtkWidget  *fs ;

   guint       pointer_action ;

   /* Toolbar */
   GtkWidget  *activity ; /***FIXME: put in data struct ?? */
   GtkWidget  *statusbar ;
   GtkWidget  *contrast ;
   GtkWidget  *luminosity ;
   GtkWidget  *savelog ;
   GtkWidget  *print ;
   GtkWidget  *stop ;

   /* Console */
   GtkWidget *console ;

   /* Dialogs */
   GtkWidget *d_dialog ;

   /* Pointers to menu item factory entries */
   GtkWidget  *frame_radio[6] ;
   GtkWidget  *frame_prev ;
   GtkWidget  *frame_next ;
   GtkWidget  *swap[2] ;
   GtkWidget  *zoom_center ;
   GtkWidget  *zoom_radio1[9] ;
   GtkWidget  *zoom_radio2[5] ;
   GtkWidget  *pref_magnifier_radio[5] ;
   GtkWidget  *pref_tile_radio[3] ;

} ccl_display ;

/*----------------------------------------------------------------------------
 * 							Function prototypes
 *--------------------------------------------------------------------------*/

extern void       ccl_quit_program       (GtkWidget   *widget, 
                                          ccl_display *display) ;

#endif /* !CXC_GTK_MAIN_H */
