/*----------------------------------------------------------------------------
 * CataPack
 *
 * Authors: Paolo Montegriffo <paolo.montegriffo@oabo.inaf.it>
 *
 * Copyright (C) 2001-2006 INAF - Osservatorio Astronomico di Bologna.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *--------------------------------------------------------------------------*/

#ifndef CP_MESSAGES_H
#define CP_MESSAGES_H 1


#if HAVE_CONFIG_H
#  include "config.h"
#endif

#include "common.h"

BEGIN_C_DECLS

/*--------------------------------------*
 * Module cp_messages.c
 *--------------------------------------*/

#if HAVE_STDARG_H || STDC_HEADERS

extern  void cp_message            (int code, int v_level, const char * fmt, ...) ;

extern  void cp_warning            (const char * fmt, ...) ;

extern  void cp_error              (const char * fmt, ...) ;
#else

extern  void cp_message            ( ) ;

extern  void cp_warning            ( ) ;

extern  void cp_error              ( ) ;
#endif

END_C_DECLS

#endif     /* !CP_MESSAGES_H */
/*--------------------------------------------------------------------------*/
