/*----------------------------------------------------------------------------
 * CataPack
 *
 * Authors: Paolo Montegriffo <paolo.montegriffo@oabo.inaf.it>
 *
 * Copyright (C) 2001-2006 INAF - Osservatorio Astronomico di Bologna.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *--------------------------------------------------------------------------*/

#ifndef CPK_BUTTONS_H
#define CPK_BUTTONS_H 1


BEGIN_C_DECLS

#define TYPE_CPK_BUTTONS            (cpk_buttons_get_type ())
#define CPK_BUTTONS(obj)            (GTK_CHECK_CAST ((obj), TYPE_CPK_BUTTONS, CpkButtons))
#define CPK_BUTTONS_CLASS(klass)    (GTK_CHECK_CLASS_CAST ((klass), TYPE_CPK_BUTTONS, CpkButtonsClass))
#define CPK_IS_BUTTONS(obj)         (GTK_CHECK_TYPE ((obj), TYPE_CPK_BUTTONS))
#define CPK_IS_BUTTONS_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), TYPE_CPK_BUTTONS))

typedef struct _CpkButtons	  CpkButtons ;
typedef struct _CpkButtonsClass   CpkButtonsClass ;

typedef struct buttons1_tag CpkButtons1 ;
typedef struct buttons2_tag CpkButtons2 ;

typedef struct _CpkItemFactory	  CpkItemFactory ;

struct buttons2_tag {
   gchar         *label ;
   GtkWidget     *button ;
   GtkWidget     *item ;
   GtkSignalFunc  callback ;
   gint           code ;
   gboolean       status ;
} ;

struct buttons1_tag {
   gchar         *label ;
   gint           nb ;
   CpkButtons2   *Mbutton ;
   GtkWidget     *button ;
} ;

struct _CpkButtons {
   GtkButton      b ;
   GtkWidget     *box ;
   GtkWidget     *box2 ;
   GtkWidget     *lastbox2 ;
   CpkButtons1   *buttons ;
   void          *p ;
   gint           n ;
   gint           nsel ;
} ;

struct _CpkButtonsClass
{
   GtkButtonClass parent_class ;
} ;

struct _CpkItemFactory
{
   GtkItemFactoryEntry ifactory_entry ;
   CpkButtons2         *button ;
} ;

extern  GtkType	       cpk_buttons_get_type          (void) ;
extern  GtkWidget     *cpk_buttons_new               (CpkButtons1 *buttons,
                                                      gint         n,
                                                      gpointer     data) ;
extern  void           cpk_buttons_radio_set_active  (CpkButtons2 *button,
                                                      gint         n,
                                                      gint         j) ;

extern  GtkWidget     *cpk_menu_main                 (GtkWidget   *window,
                                                      gpointer     data) ;

END_C_DECLS

#endif /* !CPK_BUTTONS_H */
