/*----------------------------------------------------------------------------
 * CataPack
 *
 * Authors: Paolo Montegriffo <paolo.montegriffo@oabo.inaf.it>
 *
 * Copyright (C) 2001-2006 INAF - Osservatorio Astronomico di Bologna.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *--------------------------------------------------------------------------*/

#ifndef CXC_ALIGN_SET_H
#define CXC_ALIGN_SET_H 1

#include "common.h"
#include "cxc_data.h"

/*----------------------------------------------------------------------------
 * 							Private types
 *--------------------------------------------------------------------------*/

typedef struct f_set0_tag {
   GtkWidget *entries[11] ;
   gchar      value[11][255] ;
   gint       sph ;
   GtkWidget *label[3] ;
} find_set ;

typedef struct find0_tag {
   gint       page ;
   guint      nfiles ;
   guint     *active ;
   GtkWidget *notebook ;
   GtkWidget *entries[4] ;
   gchar      value[4][255] ;
   find_set  *fset ;
} Sfind ;

/*----------------------------------------------------------------------------
 * 							Function prototypes
 *--------------------------------------------------------------------------*/

extern    GtkWidget      *align_settings     (Sfind        *FindSet, 
                                              cxc_display  *display) ;
extern    void            get_align_val      (Sfind        *FindSet, 
                                             CxcData       *data) ;
extern    void            set_align_val      (Sfind        *FindSet, 
                                              CxcData      *data) ;
extern    void            put_find_text      (Sfind        *FindSet) ;
extern    void            align_frames       (GtkWidget    *widget, 
                                              cxc_display  *display) ;

/*----------------------------------------------------------------------------*/
#endif

