/*----------------------------------------------------------------------------
 * CataPack
 *
 * Authors: Paolo Montegriffo <paolo.montegriffo@oabo.inaf.it>
 *
 * Copyright (C) 2001-2006 INAF - Osservatorio Astronomico di Bologna.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *--------------------------------------------------------------------------*/

#ifndef CXC_MASK_SET_H
#define CXC_MASK_SET_H 1

#include "common.h"
#include "cxc_data.h"

/*----------------------------------------------------------------------------
 * 							Private types
 *--------------------------------------------------------------------------*/

typedef struct {
   GtkWidget *entries[4] ;
   gchar      value[4][255] ;
} mask_set ;

typedef struct {
   mask_set  *set ;
   GtkWidget *entry ;
   gchar      value[255] ;
   gint       n ;
} Smask ;

/*----------------------------------------------------------------------------
 * 							Function prototypes
 *--------------------------------------------------------------------------*/

extern    GtkWidget      *mask_settings      (Smask *MaskSet, 
                                              cxc_display *display) ;
extern    void            get_mask_val       (Smask *MaskSet, CxcData *data) ;
extern    void            set_mask_val       (Smask *MaskSet, CxcData *data) ;
/* extern    void            match_frames       (GtkWidget *widget, 
                                              cxc_display *display) ; */

/*----------------------------------------------------------------------------*/
#endif
