/*----------------------------------------------------------------------------
 * CataPack
 *
 * Authors: Paolo Montegriffo <paolo.montegriffo@oabo.inaf.it>
 *
 * Copyright (C) 2001-2006 INAF - Osservatorio Astronomico di Bologna.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *--------------------------------------------------------------------------*/

#ifndef CXC_MODEL_SET_H
#define CXC_MODEL_SET_H 1

#include "common.h"
#include "cxc_data.h"

/*----------------------------------------------------------------------------
 * 							Private types
 *--------------------------------------------------------------------------*/

typedef struct {
   Smatchs     MatchsSet ;
   GtkWidget  *item[4] ;
   GtkWidget  *spin ;
   GtkWidget  *entry[4] ;
   GtkObject  *adj ;
   guint       m ;
   gdouble     degree ;
   gchar       value[4][255] ;
   GtkWidget  *notebook ;
   guint       page ;
} Smodel ;

/*----------------------------------------------------------------------------
 * 							Function prototypes
 *--------------------------------------------------------------------------*/

extern    GtkWidget      *model_settings     (Smodel *ModelSet, 
                                              cxc_display *display) ;
extern    void            get_model_val      (Smodel *ModelSet, CxcData *data) ;
extern    void            set_model_val      (Smodel *ModelSet, CxcData *data) ;
extern    void            plate_model        (GtkWidget *widget, 
                                              cxc_display *display) ;

/*----------------------------------------------------------------------------*/
#endif
