/*----------------------------------------------------------------------------
 * CataPack
 *
 * Authors: Paolo Montegriffo <paolo.montegriffo@oabo.inaf.it>
 *
 * Copyright (C) 2001-2006 INAF - Osservatorio Astronomico di Bologna.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *--------------------------------------------------------------------------*/


#include "cataxcorr.h"
#include "starlist.h"
#include "platemodel.h"

/*----------------------------------------------------------------------------
 * 							Function prototypes
 *--------------------------------------------------------------------------*/

extern PlateMod  *model_init             (StarList  *sl1,
                                          StarList  *sl2,
                                          PlateMod  *model) ;

extern int        star_list_align        (StarList  *sl1,
                                          StarList  *sl2,
                                          PlateMod  *model) ;
extern int        star_list_register     (StarList  *sl1,
                                          StarList  *sl2,
                                          PlateMod  *model) ;
extern int        model_fit              (StarList  *sl1,
                                          StarList  *sl2,
                                          PlateMod  *model) ;

extern int        model_recenter_crpix   (StarList  *sl2, 
                                          PlateMod  *model) ;

extern void       model_set_order        (PlateMod  *model, 
                                          int        tran_order) ;

extern StarMatch *star_list_match        (StarList  *sl1,
                                          StarList  *sl2,
                                          PlateMod  *model,
                                          int       *nmatch ) ;
extern void       model_get_rms          (StarMatch *match, 
                                          int        nmatch, 
                                          PlateMod  *model) ;
extern void       model_stats            (StarMatch *match, 
                                          int        nmatch, 
                                          PlateMod  *model,
                                          double    *xm,
                                          double    *ym,
                                          double    *dxdev,
                                          double    *dydev) ;

extern StarList  *star_list_transform    (StarList  *sl, 
                                          PlateMod  *model) ;

extern void       gui_update             (void) ;
