/*----------------------------------------------------------------------------
 * CataPack
 *
 * Authors: Paolo Montegriffo <paolo.montegriffo@oabo.inaf.it>
 *
 * Copyright (C) 2001-2006 INAF - Osservatorio Astronomico di Bologna.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
 * 					      Bologna Astronomical Observatory
 *----------------------------------------------------------------------------
 * File name 	: coordinates.h
 * Author 	: Paolo Montegriffo
 * Created on	: March, 2002	
 * Language	: ANSI C
 * Description	: 
 * Version      : 2.1.5 - March 26, 2002
 *--------------------------------------------------------------------------*/

#ifndef COORDINATES_H
#define COORDINATES_H 1

#include "common.h"

BEGIN_C_DECLS

#include "cataxcorr.h"
#include "platemodel.h"

/*----------------------------------------------------------------------------
 * 							Function prototypes
 *--------------------------------------------------------------------------*/

extern void      coord_prj2pix       (Star **s, int nstar, boolean spheric, 
                                      double origin[]) ;
extern void      coord_pix2prj       (Star **s, int nstar, boolean spheric, 
                                      double origin[]) ;
extern void      coord_rot2pix       (Star **s, int nstar, boolean spheric, 
                                      double origin[]) ;
extern void      coord_prj2rot       (Star **s, int nstar, PlateMod *model) ;

extern void      coord_pix2prj_lin   (Star **s, int nstar, boolean spheric, 
                                      PlateMod *model) ;
extern void      coord_prj_scale     (Star **s, int nstar, PlateMod *model) ;

extern void      coord_rot_inv_scale (Star **s, int nstar, PlateMod *model) ;

extern void      coord_rot2prj       (double xr, double yr, PlateMod *model, 
                                      double *xp, double *yp) ;

END_C_DECLS

#endif     /* !COORDINATES_H */
/*--------------------------------------------------------------------------*/
