/*----------------------------------------------------------------------------
 * CataPack
 *
 * Authors: Paolo Montegriffo <paolo.montegriffo@oabo.inaf.it>
 *
 * Copyright (C) 2001-2006 INAF - Osservatorio Astronomico di Bologna.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
 * 					      Bologna Astronomical Observatory
 *----------------------------------------------------------------------------
 * File name 	: model.h
 * Author 	: Paolo Montegriffo
 * Created on	: March, 2002	
 * Language	: ANSI C
 * Description	: 
 * Version      : 2.1.5 - March 26, 2002
 *--------------------------------------------------------------------------*/

#ifndef MODEL_H
#define MODEL_H 1

#include "common.h"

BEGIN_C_DECLS

#include "cataxcorr.h"
#include "platemodel.h"

/*----------------------------------------------------------------------------
 * 							Function prototypes
 *--------------------------------------------------------------------------*/

extern void      model_save        (char *filename, char *refcat, 
                                    PlateMod  *model, Finfo *info) ;

extern PlateMod *model_load        (char *filename, Finfo *info) ;

END_C_DECLS

#endif     /* !MODEL_H */
/*--------------------------------------------------------------------------*/
